wxWidgets: wxFileOutputStream Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxFileOutputStream Class Reference
Streams

`#include <wx/wfstream.h>`

Inheritance diagram for wxFileOutputStream:
[legend]

## Detailed Description

This class represents data written to a file.

There are actually two such groups of classes: this one is based on wxFile whereas wxFFileOutputStream is based in the wxFFile class.

Note that wxOutputStream::SeekO() can seek beyond the end of the stream (file) and will thus not return wxInvalidOffset for that.

##

Library: wxBase
Category: Streams

See Also
  wxBufferedOutputStream, wxFileInputStream, wxFFileOutputStream, wxFFileInputStream

## Public Member Functions
| wxFileOutputStream (const wxString &ofileName)
| Creates a new file with ofileName name and initializes the stream in write-only mode.
| wxFileOutputStream (wxFile &file)
| Initializes a file stream in write-only mode using the file I/O object file.
| wxFileOutputStream (int fd)
| Initializes a file stream in write-only mode using the file descriptor fd.
virtual | ~wxFileOutputStream ()
| Destructor.
bool | IsOk () const
| Returns true if the stream is initialized and ready.
wxFile * | GetFile () const
| Returns the underlying file object.
Public Member Functions inherited from wxOutputStream
| wxOutputStream ()
| Creates a dummy wxOutputStream object.
virtual | ~wxOutputStream ()
| Destructor.
virtual bool | Close ()
| Closes the stream, returning false if an error occurs.
virtual size_t | LastWrite () const
| Returns the number of bytes written during the last Write().
void | PutC (char c)
| Puts the specified character in the output queue and increments the stream position.
virtual wxFileOffset | SeekO (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellO () const
| Returns the current stream position.
virtual wxOutputStream & | Write (const void *buffer, size_t size)
| Writes up to the specified amount of bytes using the data of buffer.
wxOutputStream & | Write (wxInputStream &stream_in)
| Reads data from the specified input stream and stores them in the current stream.
bool | WriteAll (const void *buffer, size_t size)
| Writes exactly the specified number of bytes from the buffer.
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object.
virtual | ~wxStreamBase ()
| Destructor.
wxStreamError | GetLastError () const
| This function returns the last error.
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes.
virtual size_t | GetSize () const
| This function returns the size of the stream.
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets.
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state.
bool | operator! () const
| Returns the opposite of IsOk().

## Additional Inherited Members
Protected Member Functions inherited from wxOutputStream
size_t | OnSysWrite (const void *buffer, size_t bufsize)
| Internal function.

## Constructor & Destructor Documentation

wxFileOutputStream::wxFileOutputStream | ( | const wxString & | ofileName | ) |

Creates a new file with ofileName name and initializes the stream in write-only mode.

Warning
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

wxFileOutputStream::wxFileOutputStream | ( | wxFile & | file | ) |

Initializes a file stream in write-only mode using the file I/O object file.

wxFileOutputStream::wxFileOutputStream | ( | int | fd | ) |

Initializes a file stream in write-only mode using the file descriptor fd.

virtual wxFileOutputStream::~wxFileOutputStream | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

wxFile* wxFileOutputStream::GetFile | ( |  | ) | const

Returns the underlying file object.

Since
  2.9.5

bool wxFileOutputStream::IsOk | ( |  | ) | const
| virtual

Returns true if the stream is initialized and ready.

Reimplemented from wxStreamBase.

Reimplemented in wxFileStream.